/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.testbase.stub;

import ru.ispras.testbase.knowledge.floating.FpExceptionGenerator;
import ru.ispras.testbase.knowledge.floating.FpFormat;
import ru.ispras.testbase.knowledge.floating.sub.FpSubExceptionGenerator;

final class TdpFpSub extends TdpFpBase {
  public static final String NAME = "fp.sub";

  protected TdpFpSub() {
    super(NAME);
  }

  @Override
  protected FpExceptionGenerator newFpGenerator(
      int exponentLength, int fractionLength) {

    return new FpSubExceptionGenerator(
      new FpFormat(exponentLength, fractionLength));
  }
}
